-- DestinyPoints.lua
-- Written by Habna


_G.DP = {}; -- Destiny Points table in _G

--**v Control of Destiny points v**
DP["Ctr"] = Turbine.UI.Control();
DP["Ctr"]:SetParent( TB["win"] );
--DP["Ctr"]:SetVisible( ShowDestinyPoints );
DP["Ctr"]:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
DP["Ctr"]:SetBackColor( Turbine.UI.Color( DPbcAlpha, DPbcRed, DPbcGreen, DPbcBlue ) );
--DP["Ctr"]:SetBackColor( Color["red"] ); -- Debug purpose

DP["Ctr"].MouseClick = function( sender, args )
	DP["Lbl"].MouseClick( sender, args )
end
--**^
--**v Destiny points & icon on TitanBar v**
DP["Icon"] = Turbine.UI.Control();
DP["Icon"]:SetParent( DP["Ctr"] );
DP["Icon"]:SetSize( 21, 20 );
DP["Icon"]:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
DP["Icon"]:SetBackground( 0x4100a682 ); -- in-game destiny points icon
--DP["Icon"]:SetBackColor( Color["blue"] ); -- Debug purpose

DP["Icon"].MouseMove = function( sender, args )
	DP["Lbl"].MouseLeave( sender, args );
	if dragging then MoveDPCtr(sender, args); end
end

DP["Icon"].MouseLeave = function( sender, args )
	DP["Lbl"].MouseLeave( sender, args );
end

DP["Icon"].MouseClick = function( sender, args )
	DP["Lbl"].MouseClick( sender, args );
end

DP["Icon"].MouseDown = function( sender, args )
	DP["Lbl"].MouseDown( sender, args );
end

DP["Icon"].MouseUp = function( sender, args )
	DP["Lbl"].MouseUp( sender, args );
end


DP["Lbl"] = Turbine.UI.Label();
DP["Lbl"]:SetParent( DP["Ctr"] );
DP["Lbl"]:SetPosition( 5, 0 );
--DP["Lbl"]:SetForeColor( Color["white"] );
DP["Lbl"]:SetFontStyle( Turbine.UI.FontStyle.Outline );
DP["Lbl"]:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleRight );
--DP["Lbl"]:SetBackColor( Color["white"] ); -- Debug purpose

DP["Lbl"].MouseMove = function( sender, args )
	DP["Lbl"].MouseLeave( sender, args );

	if dragging then
		MoveDPCtr(sender, args);
	else
		ShowToolTipWin( "DP" );
	end
end

DP["Lbl"].MouseLeave = function( sender, args )
	TB["win"].MouseLeave( sender, args );
end

DP["Lbl"].MouseClick = function( sender, args )
	if ( args.Button == Turbine.UI.MouseButton.Left ) then
		if ( not WasDrag ) then
			
		end
	elseif ( args.Button == Turbine.UI.MouseButton.Right ) then
		_G.sFromCtr = "DP";
		ControlMenu:ShowMenu();
	end
	WasDrag = false;
end

DP["Lbl"].MouseDown = function( sender, args )
	if ( args.Button == Turbine.UI.MouseButton.Left ) then
		dragStartX = args.X;
		dragStartY = args.Y;
		dragging = true;
	end
end

DP["Lbl"].MouseUp = function( sender, args )
	dragging = false;
	_G.DPLocX = DP["Ctr"]:GetLeft();
	SaveSettings();
end
--**^

function MoveDPCtr(sender, args)
	local CtrLocX = DP["Ctr"]:GetLeft();
	DP["Ctr"]:SetPosition( CtrLocX + ( args.X - dragStartX ), 0);
	WasDrag = true;
end