-- GameTimesWindow.lua
-- written by Habna


function frmGameTimeWindow()
	frmGT = true;

	wGameTime = Turbine.UI.Lotro.Window()
	--wGameTime = Turbine.UI.Lotro.GoldWindow()
	
	-- **v Set backcolor, position, size and text of the window v**
	wGameTime:SetText( L["GTWTitle"] );
	wGameTime:SetWantsKeyEvents( true );
	wGameTime:SetVisible( true );
	wGameTime:SetZOrder( 2 );
	wGameTime:Activate();

	wGameTime.KeyDown = function( sender, args )
		if ( args.Action == Turbine.UI.Lotro.Action.Escape ) then
			wGameTime:Close();
		elseif ( args.Action == 268435635 ) then -- **v Hide wGameTime if F12 key is press v**
			wGameTime:SetVisible( not wGameTime:IsVisible() );
		end
	end

	wGameTime.Closing = function( sender, args ) -- Function for the Upper right X icon
		wGameTime = nil;
		frmGT = nil;
	end
	-- **^
	-- **v Check box - label v**
	local Clock24Ctr = Turbine.UI.Lotro.CheckBox();
	Clock24Ctr:SetParent( wGameTime );
	Clock24Ctr:SetPosition( 40, 40 );
	Clock24Ctr:SetText( L["GTW24h"] );
	Clock24Ctr:SetSize( string.len(Clock24Ctr:GetText()) * 8, 30 );
	--Clock24Ctr:SetVisible( true );
	--Clock24Ctr:SetEnabled( false );
	Clock24Ctr:SetChecked( Clock24h );
	Clock24Ctr:SetForeColor( Color["rustedgold"] );

	Clock24Ctr.CheckedChanged = function( sender, args )
		_G.Clock24h = Clock24Ctr:IsChecked();
		SaveSettings();
		UpdateGameTime();
		--ReplaceModuleLocation( "right" );
	end
	-- **^

	wGameTime:SetSize( Clock24Ctr:GetWidth() + 80, 50 );

	local winWidth, winHeight = wGameTime:GetSize();
	local left, top = ( screenWidth / 2 ) - ( winWidth / 2 ) , ( screenHeight / 2 ) - ( winHeight /2 )
    wGameTime:SetPosition( left, top );
end