-- PlayerInfos.lua
-- Written by Habna


_G.PI = {}; -- Player Infos table in _G

--**v Control for player infos v**
PI["Ctr"] = Turbine.UI.Control();
PI["Ctr"]:SetParent( TB["win"] );
--PI["Ctr"]:SetVisible( ShowPlayerInfos );
PI["Ctr"]:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
PI["Ctr"]:SetBackColor( Turbine.UI.Color( PIbcAlpha, PIbcRed, PIbcGreen, PIbcBlue ) );
--PI["Ctr"]:SetBackColor( Color["blue"] ); -- Debug purpose

PI["Ctr"].MouseClick = function( sender, args )
	PI["Name"].MouseClick( sender, args )
end
--**^
--**v Player icon & infos on TitanBar v**
PI["Icon"] = Turbine.UI.Control();
PI["Icon"]:SetParent( PI["Ctr"] );
PI["Icon"]:SetPosition( 5, 2 );
PI["Icon"]:SetSize( 25, 25 );
PI["Icon"]:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
--PI["Icon"]:SetBackground( resources.Ring.Background );
--PI["Icon"]:SetBackColor( Color["blue"] ); -- Debug purpose
	
PI["Icon"].MouseMove = function( sender, args )
	PI["Name"].MouseLeave( sender, args );

	if dragging then
		MovePICtr(sender, args);
	else
		ShowToolTipWin( "PIcon" );
	end
end

PI["Icon"].MouseLeave = function( sender, args )
	PI["Name"].MouseLeave( sender, args );
end

PI["Icon"].MouseClick = function( sender, args )
	PI["Name"].MouseClick( sender, args );
end

PI["Icon"].MouseLeave = function( sender, args )
	PI["Name"].MouseLeave( sender, args );
end

PI["Icon"].MouseClick = function( sender, args )
	PI["Name"].MouseClick( sender, args );
end

PI["Icon"].MouseDown = function( sender, args )
	PI["Name"].MouseDown( sender, args );
end

PI["Icon"].MouseUp = function( sender, args )
	PI["Name"].MouseUp( sender, args );
end


PI["Lvl"] = Turbine.UI.Label();
PI["Lvl"]:SetParent( PI["Ctr"] );
PI["Lvl"]:SetPosition( PI["Icon"]:GetLeft() + PI["Icon"]:GetWidth() + 2, 0 );
--PI["Lvl"]:SetForeColor( Color["white"] );
PI["Lvl"]:SetFontStyle( Turbine.UI.FontStyle.Outline );
PI["Lvl"]:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
--PI["Lvl"]:SetBackColor( Color["orange"] ); -- Debug purpose
	
PI["Lvl"].MouseMove = function( sender, args )
	PI["Name"].MouseLeave( sender, args );

	if dragging then
		MovePICtr(sender, args);
	else
		ShowToolTipWin( "PLvl" );
	end
end

PI["Lvl"].MouseLeave = function( sender, args )
	PI["Name"].MouseLeave( sender, args );
end

PI["Lvl"].MouseClick = function( sender, args )
	PI["Name"].MouseClick( sender, args );
end

PI["Lvl"].MouseLeave = function( sender, args )
	PI["Name"].MouseLeave( sender, args );
end

PI["Lvl"].MouseClick = function( sender, args )
	PI["Name"].MouseClick( sender, args );
end

PI["Lvl"].MouseDown = function( sender, args )
	PI["Name"].MouseDown( sender, args );
end

PI["Lvl"].MouseUp = function( sender, args )
	PI["Name"].MouseUp( sender, args );
end

PI["Name"] = Turbine.UI.Label();
PI["Name"]:SetParent( PI["Ctr"] );
--PI["Name"]:SetForeColor( Color["white"] );
PI["Name"]:SetFontStyle( Turbine.UI.FontStyle.Outline );
PI["Name"]:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
--PI["Name"]:SetBackColor( Color["white"] ); -- Debug purpose

PI["Name"].MouseMove = function( sender, args )
	PI["Name"].MouseLeave( sender, args );

	if dragging then
		MovePICtr(sender, args);
	else
		ShowToolTipWin( "PName" );
	end
end

PI["Name"].MouseLeave = function( sender, args )
	TB["win"].MouseLeave( sender, args );
end

PI["Name"].MouseClick = function( sender, args )
	if ( args.Button == Turbine.UI.MouseButton.Left ) then
		if ( not WasDrag ) then
			-- Open character panel
			-- Unable to send 'C' key to game

		end
	elseif ( args.Button == Turbine.UI.MouseButton.Right ) then
		_G.sFromCtr = "PI";
		ControlMenu:ShowMenu();
	end
	WasDrag = false;
end

PI["Name"].MouseDown = function( sender, args )
	if ( args.Button == Turbine.UI.MouseButton.Left ) then
		dragStartX = args.X;
		dragStartY = args.Y;
		dragging = true;
	end
end

PI["Name"].MouseUp = function( sender, args )
	dragging = false;
	_G.PILocX = PI["Ctr"]:GetLeft();
	SaveSettings();
end
--**^

function MovePICtr(sender, args)
	local CtrLocX = PI["Ctr"]:GetLeft();
	PI["Ctr"]:SetPosition( CtrLocX + ( args.X - dragStartX ), 0);
	WasDrag = true;
end